File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes Websphere and the fly likes wsad 4.0.3 linkageerror Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » Websphere
Bookmark "wsad 4.0.3 linkageerror" Watch "wsad 4.0.3 linkageerror" New topic

wsad 4.0.3 linkageerror

martijn van der veek

Joined: Mar 17, 2003
Posts: 4
I'm using wsad 4.0.3 and i am trying to run my project with the Test Enviroment of wsad.
But each time i get a linkageerror at the same location.
(Error message:
java.lang.LinkageError: Class X/Y/Z/MyClass violated loader constraints.)
Here is a setup of the server and the projects.
- test-Web.war
- projectEJB.jar
- project_web.war
- loggingEJB.jar
- projectHelper.jar
- loggingHelper.jar
- supportHelper.jar
- project2Helper.jar
- jaxb.jar
- junit.jar
- dom.jar
- projectEJB.jar
- projectHelper.jar
- supportHelper.jar
(The Helper jar's are utility jar's)
back to the error message:
"java.lang.LinkageError: Class X/Y/Z/MyClass violated loader constraints."
package X/Y/Z is located in the projectHelper.jar
If I run Project EAR on it's own i have no problems and everythings works fine. But when i'm working with two EAR files i'm in trouble.
Could it be because both have a utility jar that has the same contents, meaning the server cannot cope with this setup of my project or is something else the matter.
I really hope somebody can help me because I'm at a loss.
With kind regards,
Martijn van der Veek
Benny Thomas
Ranch Hand

Joined: Sep 13, 2003
Posts: 44
I also get the same error.
Our development team develops using WSAD 5.0
And it runs fine in WSAD.
But in WAS 4.0.3, we get a linkage error warning.

Does any one have a clue on the solution.

Thanks in advance



IBM Certified System Administrator - Websphere Application Server 5
Benny Thomas
Ranch Hand

Joined: Sep 13, 2003
Posts: 44
Any help on this topic would be much appreciated.
Thanks in advance
I agree. Here's the link:
subject: wsad 4.0.3 linkageerror
jQuery in Action, 3rd edition